#pragma once
#include <solar/server/database/database.hpp>
#include <string>

class Configuration {
private:
    Database::Database database;

    Configuration();

    friend int main(int, char **);
    Configuration & SetupDatabase(std::string const & filePath);

public:
    Database::Connection GetDatabaseConnection() const;

    static Configuration & Get();
};